using System;
using Infragistics.Windows.DataPresenter;

internal sealed class Delegate504 : MulticastDelegate
{
	public extern FieldLayout Invoke(object object_0);

	public static FieldLayout smethod_0(object object_0, Delegate504 delegate504_1)
	{
		return delegate504_1(object_0);
	}

	public extern Delegate504(object object_0, IntPtr intptr_0);

	static Delegate504()
	{
		Class10.smethod_13(typeof(Delegate504).TypeHandle);
	}

	internal static Delegate504 delegate504_0;
}
